Package com.xebialabs.xlrelease.domain.delivery.conditions

## Class TimeCondition

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.delivery.Condition
    - - com.xebialabs.xlrelease.domain.delivery.conditions.TimeCondition

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(versioned=false,
                description="Condition which completes when the specified time is reached.")
      public class TimeCondition
      extends Condition

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TimeCondition()` |
    `TimeCondition​(java.lang.Integer startDateOffset)` |
    `TimeCondition​(java.util.Date fixedDate)` |
    `TimeCondition​(java.util.Date fixedDate, java.lang.Integer startDateOffset)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription()` |
    `java.util.Date` | `getFixedDate()` |
    `java.lang.Integer` | `getStartDateOffset()` |
    `void` | `setFixedDate​(java.util.Date fixedDate)` |
    `void` | `setStartDateOffset​(java.lang.Integer startDateOffset)` |
    `void` | `validate​(Delivery delivery)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.delivery.Condition

      `getAllConditions, getInputProperties, getLeafConditions, getSatisfiedDate, isActive, isLeaf, isSatisfied, markAsSatisfied, reset, setSatisfied, setSatisfiedDate, withId`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeCondition

          public TimeCondition()

    - #### TimeCondition

          public TimeCondition​(java.util.Date fixedDate)

    - #### TimeCondition

          public TimeCondition​(java.lang.Integer startDateOffset)

    - #### TimeCondition

          public TimeCondition​(java.util.Date fixedDate,
                               java.lang.Integer startDateOffset)

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in class `Condition`

    - #### validate

          public void validate​(Delivery delivery)

      Overrides:
        `validate` in class `Condition`

    - #### getFixedDate

          public java.util.Date getFixedDate()

    - #### setFixedDate

          public void setFixedDate​(java.util.Date fixedDate)

    - #### getStartDateOffset

          public java.lang.Integer getStartDateOffset()

    - #### setStartDateOffset

          public void setStartDateOffset​(java.lang.Integer startDateOffset)